:root {
    --icon-facebook: #4267B2;
    --icon-x-twitter: #000000;
    --icon-linkedin: #0077b5;
    --light-red: #d4747e;
    --orange: #fd7114;
    --yellow: #f7e025;
    --cyan: #0dcaf0;
    --white: #ffffff;
    --xtra-light-grey: #dddddd;
    --light-grey: #bbbbbb;
    --grey: #6c757d;
    --dark-grey: #35393d;
    --light: #f7f7f7;
    --dark: #212529;
    --black: #000000;
    --font-sans-serif: 'greycliff-cf', 'articulat-cf', 'owners-text','proxima-nova-wide', system-ui, -apple-system, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
    --font-monospace: "Century Gothic", "Liberation Mono", "Courier New", monospace;
}

html {
    box-sizing: border-box;
    scroll-behavior: smooth;
}

* {
    box-sizing: border-box;
    font-family: var(--font-sans-serif);
    scroll-behavior: smooth;
}

body {
    margin: 0;
    padding: 0;
    letter-spacing: 1px;
    line-height: 1.35rem;
    background-color: var(--light);
    background-image:
        linear-gradient(rgba(155, 155, 155, 0.12) 1px, transparent 1px),
        linear-gradient(90deg, rgba(155, 155, 155, 0.12) 1px, transparent 1px);
    background-size: 50px 25px, 50px 25px;
    overflow-x: hidden;
}

a {
    text-decoration: none;
    font-family: 'articulat-cf', var(--font-sans-serif);
    transition: .5s ease;
}

a:hover {
    color: var(--cyan);
}

.main-content {
    width: 100vw;
    height: 120vh;
    margin: 0 auto;
    background-color: var(--light);
}
.contact-main {
    width: 100vw;
    height: auto;
    margin: 0 auto;
    background-color: var(--light);
}

.main-head {
    width: 100vw;
    padding: 2rem 1rem .5rem 2rem;
    position: fixed;
    top: 0;
    left: 0;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: var(--light);
    z-index: 9999;
}

.logo>img {
    width: 100%;
    max-width: 250px;
    min-width: 150px;
}

#nav-home {
    /*resets at the top for the home link*/
    position: absolute;
    top: 0;
}

.nav-bar {
    width: 40%;
}

.nav-bar>ul {
    list-style: none;
    padding: 0;
    display: flex;
    justify-content: space-evenly;
}

.nav-link {
    color: var(--dark-grey);
}

.nav-link-dark-mode {
    color: var(--light);
}


/*small screen navigation button for drop menu*/
.dropdown {
    position: absolute;
    right: 0;
    z-index: 9999;
}

.dropbtn,
.dropdown-content {
    -webkit-backdrop-filter: blur(4px);
    backdrop-filter: blur(4px);
    cursor: pointer;
    border: none;
}

.dropbtn {
    width: 4.5rem;
    background: linear-gradient(35deg, #000000 0%, #0dcaf0 50%, #000000 100%);
    color: white;
    padding: 1rem;
    font-size: 1.5rem;
    border-radius: 6px 0 0 6px;
    box-shadow: -2px 0px 5px 0px var(--dark-grey);
    z-index: 2;
}

.dropdown-content {
    position: absolute;
    background-color: #ddddddc9;
    opacity: (0.7);
    width: 65vw;
    border-radius: 0 0 6px 6px;
    max-height: 0;
    overflow: hidden;
}
.dropdown-content a {
    padding: 1rem;
    display: block;

}
.dropdown-content a:hover {
    background-color: rgba(13, 202, 240, 0.35);
}

.intro-cube-base {
    width: 50%;
    max-width: 800px;
    min-width: 400px;
    margin: 0 auto;
    display: block;
    position: absolute;
    bottom: 4rem;
    left: 50%;
    transform: translateX(-50%);
}

/*.reveal-code > iframe {
    width: 100vw;
    height: 100vh;
    margin: 0 auto;
    position: relative;
    top: 0;
    left: 0;
    overflow: hidden;
}*/

section a {
    color: var(--light-grey);
    text-decoration: none;
}

section a:hover {
    color: var(--cyan);
}


/*SERVICES SECTION */
/*CUBE ANIMATION SECTION FOUND IN cubeMaster.css*/

.tagline-container {
    width: 100vw;
    padding: 1rem 0;
    position: relative;
    background-color: #dddddd77;
    -webkit-backdrop-filter: blur(1px);
    backdrop-filter: blur(1px);
    color: var(--grey);
}

/*Color codes are located before @media near bottom*/

.code {
    margin: 0 auto;
  }
  .code h2 {
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    font-weight: 300;
  }

  
.service-section {
    width: 90vw;
    margin: 0 auto;
    padding: 4rem 0;
    -webkit-backdrop-filter: blur(1px);
    backdrop-filter: blur(1px);
    border-top-left-radius: 1.5rem;
    border-top-right-radius: 1.5rem;
}

.service-head {
    margin-top: 2rem;
    opacity: 0;
    color: var(--dark-grey);
}

.legend-container {
    width: 100%;
    min-height: 25rem;
    padding: 1rem 1.25rem 2rem 1.25rem;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 2rem;
    opacity: 0;
}

.legend-parent {
    width: 100%;
    padding: 0 1rem;
    color: var(--dark-grey);
}

.svg-icons {
    display: inline;
    font-size: 4.5rem;
    margin: 1rem;
    text-shadow: 1px 2px 3px var(--dark-grey);
}

.legend-parent:nth-of-type(2) {
    /*second icon correction*/
    padding-top: .5rem;
}

i.fa-code {
    color: #277bc0;
}

i.fa-users-between-lines {
    color: #6e1c2b;
}

i.fa-copyright,
i.fa-mug-hot,
i.fa-pencil {
    color: var(--cyan);
}

.legend-header {
    display: inline;
    font-size: 2rem;
    font-weight: 700;
}

.legend-description,
.legend-list {
    font-size: 1.4rem;
    letter-spacing: 2px;
    line-height: 2rem;
}
.legend-description {
    padding: 2rem 1rem 0 1rem;
}
.legend-list {
    list-style: circle;
    padding: -2rem 0 0 1rem;
}

#play-video {
    cursor: pointer;
    color: var(--grey);
}
#play-video:hover {
    color: var(--cyan);
    text-shadow: 0px 0px 1px var(--white);
}

/*END SERVICES SECTION*/

/*PORTFOLIO SECTION*/
.portfolio-container {
    width: 100vw;
    height: 100vh;
    padding: 4rem 0;
    background: linear-gradient(#e1e1e14d 0%, #000000d7 25%, #0dcaf0a1 50%, #000000d7 75%, #e1e1e14d 100%)
}
/*END PORTFOLIO SECTION*/

/*ABOUT SECTION*/

.about-section {
    width: 90vw;
    height: auto;
    margin: 0 auto;
    padding: 4rem 0 4rem 0;
    font-weight: 300;
    font-size: 1.4rem;
    color: #383639;
    letter-spacing: 2px;
    line-height: 2rem;
    border-bottom-left-radius: 1.5rem;
    border-bottom-right-radius: 1.5rem;
    background-color: rgba(225, 225, 225, 0.30);
    -webkit-backdrop-filter: blur(1px);
    backdrop-filter: blur(1px);
}

.about-section-top {
    padding: 1rem;
    margin: 0 auto;
    width: 80vw;
    opacity: 0;
}

.about-section-top p {
    padding: 2rem 0;
}

#swiper-top-about-section {
    width: 800px;
    height: 720px;
    padding: 50px 0;
  }
  .top-swiper {
    width: 100%;
    height: 100%;
    position: relative;
    box-shadow: 0 15px 50px rgba(0, 0, 0, 0.2);
    border-radius: 10px;
    background-color: #0f2027;
    overflow: hidden;
  }
  .top-swiper:nth-child(1n) {
    background: url(./assets/images/diplomaHolder.webp)
        no-repeat center / cover;
  }
  .top-swiper:nth-child(2n) {
    background: url(./assets/images/diploma.webp)
        no-repeat center / cover;
  }
  .top-swiper:nth-child(3n) {
    background: url(./assets/images/gpa.webp)
        no-repeat 50% 0% / contain;
  }
  .top-swiper:nth-child(4n) {
    background: url(./assets/images/freeCodeCampCert.webp)
        no-repeat center / contain;
  }

.about-section-middle {
    width: 80vw;
    margin: 2rem auto;
    opacity: 0;
}

.about-section-middle a {
    text-decoration: underline;
    font-family: 'articulat-cf', var(--font-sans-serif);
    color: var(--dark-grey);
}

.about-section-middle a:hover {
    color: var(--cyan);
}


.about-section-bottom {
    width: 80vw;
    display: flex;
    justify-content: space-between;
    margin: 4rem auto 0 auto;
    opacity: 0;
}

.bottom-left {
    width: 40%;
    position: relative;
    margin-right: 2rem;
    padding-top: .5rem;
}

.bottom-right {
    width: 60%;
}
.bottom-right h4 {
    margin: 0;
    padding: 2rem 0;
}

#swiper-bottom-about-section {
    width: 31vw;
    height: 54vh;
    max-width: 90%;
    padding: 50px 0;
  }
  .bottom-swiper {
    width: 100%;
    height: 100%;
    position: relative;
    box-shadow: 0 15px 50px rgba(0, 0, 0, 0.2);
    border-radius: 10px;
    background-color: #0f2027;
  }
  .bottom-swiper:nth-child(1n) {
    background: url(./assets/images/rainbowCar.webp)
        no-repeat center / cover;
  }
  .bottom-swiper:nth-child(2n) {
    background: url(./assets/images/raggedBranch_edited.webp)
        no-repeat center / cover;
  }
  .bottom-swiper:nth-child(3n) {
    background: url(./assets/images/kAndT.webp)
        no-repeat center / cover;
  }
  .bottom-swiper:nth-child(4n) {
    background: url(./assets/images/collage.webp)
        no-repeat center / contain;
        background-color: var(--dark);
  }
.animate__animated.animate__shakeX:hover {
    animation-iteration-count: 2;
    animation-duration: 3s;
}


.bubble-comment-container {
    width: 150px;
    height: 200px;
    position: absolute;
    top: -6.25rem;
    right: -.5rem;
}
.bubble-wrap {
    position: relative;
    width: 100%;
    height: 100%;
}
.bubble-comment {
    position: relative;
    top: 0;
    left: 25%;
    width: 75%;
    height: 75%;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: .75rem;
    background-image: url(./assets/images/littleCloud.webp);
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
}
.bubble-cloud img {
    position: absolute;
}
.bubble-cloud:nth-child(1n) img{
    width: 2.5rem;
    height: 2.5rem;
    bottom: 1rem;
}
.bubble-cloud:nth-child(2n) img{
    width: 4rem;
    height: 4rem;
    left: 10%;
    bottom: 3rem;
}

footer {
    width: 100%;
    margin: 6rem auto 0 auto;
    padding: 2rem 4rem;
    background-color: #000000;
    color: var(--xtra-light-grey);
}
footer a {
    text-decoration: underline;
    color: var(--light);
}
footer p {
    text-align: center;
}

.disclaimer li {
    list-style: none;
    margin-left: -2rem;
}

/*social media icons on fixed sidebar*/
/*
.fa-brands {
    color: #eee;
    font-size: 2rem;
}

.fa-brands:hover {
    color: var(--cyan);
}

.icons a {
    text-decoration: none;
}
.social-icon {
    width: 3rem;
    height: 3rem;
    margin: .5rem;
    border: 2px solid var(--dark-grey);
    border-radius: 0 50% 0 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    box-shadow: -2px -2px 3px 1px var(--black);
    overflow: hidden;
}
.social-icon:active {
    box-shadow: none;
}
.ione {
    background-color: var(--icon-facebook);
}
.itwo {
    background-color: var(--icon-x-twitter);
}
.ithree {
    background-color: var(--icon-linkedin);
}
*/

.icons {
    position: fixed;
    bottom: 0;
    right: 0;
    z-index: 9999;
}

.music-content {
    cursor: pointer;
    position: relative;
    height: 50px;
    width: 70px;
    margin-top: 1rem;
    background-color: var(--dark);
    border-radius: 12px;
    z-index: 99999;
    transition: all .3s ease-in-out;
    overflow: hidden;
}

.music-content:hover {
    background-color: var(--cyan);
}

.music-bars {
    height: 40px;
    left: calc(50% - 40px);
    width: 100%;
}

.music-bar {
    background: white;
    bottom: 1px;
    height: 3px;
    position: absolute;
    width: 7px;
    animation: sound 0ms -800ms linear infinite alternate;
}

.music-bar:nth-child(1) {
    left: 1px;
    animation-duration: 774ms;
}

.music-bar:nth-child(2) {
    left: 13px;
    animation-duration: 733ms;
}

.music-bar:nth-child(3) {
    left: 25px;
    animation-duration: 707ms;
}

.music-bar:nth-child(4) {
    left: 37px;
    animation-duration: 758ms;
}

.music-bar:nth-child(5) {
    left: 49px;
    animation-duration: 700ms;
}

.music-bar:nth-child(6) {
    left: 61px;
    animation-duration: 727ms;
}


@keyframes sound {
    0% {
        opacity: .10;
        height: 3px;
    }

    100% {
        opacity: 1;
        height: 48px;
    }
}


/*font family quick changes*/
/*global classes*/

.fa-arrow-left,
.fa-arrow-right {
    font-size: 5rem;
    color: var(--grey);
}

.fa-svg-size-small {
    width: 2rem;
    height: 2rem;
}

.hide {
    display: none;
}

.italics {
    font-style: italic;
}

.articulat {
    font-family: 'articulat-cf', sans-serif;
    font-weight: 400;
    font-style: normal;
}

.ethnocentric {
    font-family: "ethnocentric", "aviano-future", "greycliff-cf", "owners-text", Helvetica, Arial, sans-serif;
    font-weight: 400;
    font-style: normal;
}

.color-white {
    color: var(--white);
}
.color-cyan {
    color: var(--cyan);
}

.color-blue {
    color: var(--blue);
}

.color-orange {
    color: var(--orange);
}

.color-yellow {
    color: goldenrod;
}

.justify-text {
    text-align: justify;
    word-spacing: 1px;
    padding: 0 1rem;
}

.text-center {
    text-align: center;
    justify-content: center;
    align-items: center;
}

.short {
    width: 60%;
    margin: 1rem auto;
}

.huge {
    margin: 0;
    font-family: 'proxima-nova-wide', monospace, sans-serif;
    font-weight: 300;
    font-weight: 700;
    font-size: 4rem;
    line-height: 4rem;
    text-shadow: 1px 2px 3px var(--dark-grey);
}

.instructions {
    color: var(--light-red);
}

.fade-in {
    opacity: 1;
    transition: opacity 0.5s ease-in;
}

.pause-animations {
    animation-play-state: paused;
}


@media screen and (max-width:1199px) {

    .nav-bar {
        width: 70%;
    }

    .hidden-dropdown {
        display: unset;
    }

    .intro-cube-base {
        width: 80%;
        min-width: 400px;

    }

    /*
      .reveal-code > iframe {
        width: 0px;
        height: 0px;
        margin: 0;
        padding: 0;
        visibility: hidden;
        display: none;
    }
    */
    .element-content,
    .element-myCube {
        background-image: none;
        background-position: unset;
        background-size: unset;
        background-repeat: unset;
        background-color: rgba(0, 0, 0, 0.7);
        margin: 0;
        top: 5%;
        right: 0;
        width: 80vw;
        height: 45vh;
        min-height: 500px;
        overflow: auto;
        resize: both;
    }
    .element-myCube {
        color: #82d8e9;
    }

    .element-content-inner-content {
        padding: 2rem 4rem;
        margin-top: 0;
        margin-left: 0;
        width: 100%;
        height: 100%;
        overflow: auto;
    }

    .animation-container {
        max-width: unset;
        left: 19rem;
        bottom: 35rem;
    }
    .adobe-animation-container {
        margin: 0 auto;
        position: absolute;
        left: 27rem;
        bottom: 39rem;
    }

    #cube-base {
        height: 12rem;
        left: 0;
        bottom: 14rem;
    }

    #cube-analyzer {
        left: 5.5rem;
        bottom: 32rem;

    }

    .service-section {
        width: 90vw;
        margin-top: 4rem;
    }

    .legend-container {
        margin: 0 auto;
        padding: 1.25rem;
        grid-template-columns: unset;
        grid-template-rows: 1fr 1fr 1fr;
    }

    .legend-parent {
        width: 100%;
        padding: 0;
    }

    .legend-description,
    .legend-list {
        font-size: 1rem;
    }

    .about-section {
        width: 90vw;
        font-weight: normal;
        line-height: 2rem;
    }

    
    .about-section-top,
    .about-section-middle,
    .about-section-bottom,
    .bottom-left,
    .bottom-right {
        font-size: 1rem;
        flex-direction: column;
        padding: .5rem;
        width: 100%;
    }

    .huge {
        font-size: 3rem;
    }

    .legend-header h1 {
        font-size: 2rem;
    }

    .contact-left-header {
        text-align: center;
    }
    .contact-right-header {
        text-align: center;
    }
    .fa-arrow-left,
    .fa-arrow-right {
        font-size: 2.5rem;
    }
    
    .fa-svg-size-small {
        display: none;
    }

    #swiper-bottom-about-section {
        width: 600px;
        height: 520px;
      }
}

@media screen and (max-height:768px) {
    .intro-cube-base {
        bottom: 0;
    }
} 

@media screen and (max-height:550px) {
    .intro-cube-base {
       visibility: hidden;
       display: none;
    }
} 

@media screen and (max-width:768px) {
    .icons {
        padding: 1rem;
    }

    .fa-brands {
        font-size: 1rem;
    }

    .social-icon {
        width: 1.5rem;
        height: 1.5rem;
    }

    .intro {
        padding-top: 13rem;
    }

    .intro-cube-base {
        min-width: 100vw;
    }

    #swiper-top-about-section {
        width: 500px;
        height: 500px;
        padding: 50px 0;
    }

    #swiper-bottom-about-section {
        width: 500px;
        height: 500px;
        padding: 50px 0;
    }
}

@media screen and (max-width: 480px) {
    .icons {
        display: none;
    }
    .svg-icons {
        display: inline;
        font-size: 2.5rem;
        margin: .5rem;
        text-shadow: 1px 2px 3px var(--dark-grey);
    }
    

    .justify-text {
        text-align: unset;
    }

    .tagline-container {
        align-items: center;
        box-shadow: 0px 0px 10px 1px var(--light-grey);
        color: var(--grey);
    }

    /*Color codes are located before @media near bottom*/

    #swiper-top-about-section {
        left: -1rem;
        width: 270px;
        height: 300px;
        padding: 50px 0;
    }

    #swiper-bottom-about-section {

        width: 280px;
        height: 300px;
        padding: 50px 0;
    }

    .contact-section {
        width: 100%;
        margin: 0 auto;
        padding: 0;
    }
}

@media screen and (max-height:400px) {
    .music-content {
        display: none;
    }
}


@media (prefers-reduced-motion: no-preference) {
    * {
        scroll-behavior: smooth;
    }
}

